[Bluetooth]Keyboard's input bubble will be truncated,when user inputs PIN code to pair with a BT device.

RESOLVED WONTFIX

Status

Firefox OS
Gaia::Bluetooth
RESOLVED WONTFIX
3 years ago
5 months ago

People

(Reporter: Verson Xiong (Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(tracking-b2g:backlog, b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(4 attachments)

(Reporter)

Description

3 years ago
Created attachment 8612213 [details]
logcat_0658.txt

[1.Description]:
[Flame v2.2 & v3.0][Nexus5 v2.2 & v3.0][Bluetooth]When user tries to input a PIN code to pair with a BT device, they will find the input bubble on first row will be covered by the "Enter PIN" UI.
Found time:06:58
See attachment:logcat_0658.txt & video_0658.mp4
BT HS:i.Tech Clip Radio

[2.Testing Steps]: 
Prerequisite:Have a Bluetooth device that requires a PIN to connect.
1. Open the Settings app .
2. Navigate to Bluetooth .
3. Search for the Bluetooth device .
4.Tap on the Bluetooth device .
5.Tap input box.
6.Tap the key on fist row of keyboard.

[3.Expected Result]: 
5.Number keyboard will pop up.
or
6.Input bubble is displayed normally.

[4.Actual Result]: 
5.Alphabetic keyboard will pop up.
or
6.Input bubble will be truncated.

[5.Reproduction build]: 
N5 v2.2 build(Affected):
Build ID               20150527002504
Gaia Revision          8084264c4d1e28bc33220bc7443c7425bb76dbcc
Gaia Date              2015-05-27 03:47:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/19fcc06fb7ab
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150527.034352
Firmware Date          Wed May 27 03:44:07 EDT 2015
Bootloader             HHZ12f

N5_3.0(Affected):
Build ID               20150527160204
Gaia Revision          05380df3158fa39e1dde1687c0bf11a71f8c6868
Gaia Date              2015-05-27 06:27:27
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2c815cc65cc9
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150527.193206
Firmware Date          Wed May 27 19:32:20 EDT 2015
Bootloader             HHZ12f

Flame 2.2(Affected) :
Build ID               20150527002504
Gaia Revision          8084264c4d1e28bc33220bc7443c7425bb76dbcc
Gaia Date              2015-05-27 03:47:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/19fcc06fb7ab
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150527.040521
Firmware Date          Wed May 27 04:05:32 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0(Affected):
Build ID               20150527160204
Gaia Revision          05380df3158fa39e1dde1687c0bf11a71f8c6868
Gaia Date              2015-05-27 06:27:27
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2c815cc65cc9
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150527.193645
Firmware Date          Wed May 27 19:36:54 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

3 years ago
Created attachment 8612214 [details]
video_0658.mp4
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected

Comment 2

3 years ago
qawanted to confirm whether the bug occurs on Aries/Flame with the latest m-c. Also set component as Gaia::Bluetooth correspondingly.
Component: Bluetooth → Gaia::Bluetooth
Keywords: qawanted
(Reporter)

Comment 3

3 years ago
Created attachment 8690721 [details]
logcat_0943.txt

I can reproduce this issue on FlameKK & AriesKK latest master build by STR in comment 0.
Actually result: Alphabetic keyboard will pop up and input bubble will be truncated.
Reproduce rate: 10/10
See latest_20151123.png & logcat_0943.txt

Device: Flame KK 512mb master(Affected)
Build ID               20151119150204
Gaia Revision          94a821b49f4dca3f9321cd80e13c44c4a6696952
Gaia Date              2015-11-19 15:35:33
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/cc325db44f6f8a58604d60b746c140e73f3d8216
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151119.182720
Firmware Date          Thu Nov 19 18:27:32 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:Aries KK master build (Affected):
Build ID               20151118150439
Gaia Revision          cba7e4b86361af31b153cfebaf99900e0b860f7b
Gaia Date              2015-11-18 09:45:49
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1d6155d7e6c91fa5ec1ef6927f3d3a044187896d
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151118.142334
Firmware Date          Wed Nov 18 14:23:42 UTC 2015
Bootloader             s1
(Reporter)

Comment 4

3 years ago
Created attachment 8690723 [details]
latest_20151123.png
(Reporter)

Updated

3 years ago
QA Whiteboard: [MGSEI-Triage+]
Keywords: qawanted

Comment 5

3 years ago
ni? gaia dev Fred.

Fred, can you help check this PIN code input bug?
Flags: needinfo?(gasolin)

Comment 6

3 years ago
Can reproduce on master. The general input field in ui test app does not have this issue, so its bluetooth app related.
Assignee: nobody → gasolin
tracking-b2g: --- → backlog
Flags: needinfo?(gasolin)

Updated

2 years ago
Assignee: gasolin → nobody

Comment 7

5 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.